# $Revision: 1.36 $, $Date: 2008-01-27 13:14:36 $
# NOTE
# - worth reading proably: https://player.helixcommunity.org/2004/developer/gtk/quickstart
#
Summary:	The Helix Player - Helix Community's open source media player for consumers
Summary(pl.UTF-8):	Helix Player - otwarty odtwarzacz multimediów Helix Community dla użytkowników
Name:		helixplayer
Version:	1.0.9
Release:	1
License:	RPSL or GPL v2+
Group:		Applications/Multimedia
# Source0Download: https://helixcommunity.org/frs/?group_id=154
Source0:	https://helixcommunity.org/frs/download.php/2490/hxplay-%{version}-source.tar.bz2
# Source0-md5:	346eb87dea413562875aca69a05370ec
Patch0:		%{name}-system-libs.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-cflags.patch
Patch3:		%{name}-sem_t.patch
Patch4:		%{name}-bzip2.patch
Patch5:		%{name}-morearchs.patch
Patch6:		%{name}-gcc.patch
URL:		https://player.helixcommunity.org/
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libogg-devel
BuildRequires:	libpng-devel >= 2:1.2.5
BuildRequires:	libtheora-devel
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	python-modules
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel >= 1.1.4
Provides:	helix-core
# i386 lacks atomic add instruction
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Helix Player is the Helix Community's open source media player for
consumers.

%description -l pl.UTF-8
Helix Player to odtwarzacz multimediów Helix Community z otwartymi
źródłami przeznaczony dla użytkowników końcowych.

%package -n browser-plugin-%{name}
Summary:	Helix Player plugin for WWW browsers
Summary(pl.UTF-8):	Helix Player jako wtyczka dla przeglądarek WWW
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	browser-plugins >= 2.0
Requires:	browser-plugins(%{_target_base_arch})
Conflicts:	helixplayer < 1.0.6-3.1

%description -n browser-plugin-%{name}
Helix Player plugin for WWW browsers.

%description -n browser-plugin-%{name} -l pl.UTF-8
Helix Player jako wtyczka dla przeglądarek WWW.

%prep
%setup -q -n hxplay-%{version}
%{__sed} -i -e 's,\r$,,' build/build/BIF/build.bif
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

# expat is modified (based on mozilla?)
# libjpeg is compiled with different config (BGRx instead of RGB)
# so only these can be replaced by system ones
#rm -rf common/import/{bzip2,zlib} datatype/image/png/import/libpng

#mkdir -p common/import/bzip2/rel/bzip2
#ln -s common/import/bzip2/rel/bzip2

# duplicate. just avoid confusion and remove it
rm build/BIF/build.bif

echo 'SetSDKPath("oggvorbissdk", "/usr")' > buildrc

%build
%ifarch %{ix86}
export SYSTEM_ID=linux-2.6-glibc23-i386
%endif
%ifarch %{x8664}
export SYSTEM_ID=linux-2.6-glibc23-amd64
%endif
%ifarch sparc sparc64
export SYSTEM_ID=linux-2.2-libc6-sparc
%endif
%ifarch ppc
export SYSTEM_ID=linux-2.2-libc6-gcc32-powerpc
%endif
%ifarch ppc64
export SYSTEM_ID=linux-powerpc64
%endif
%ifarch alpha
export SYSTEM_ID=linux-2.2-libc6-gcc32-alpha
%endif

export CC="%{__cc}"
export CFLAGS="%{rpmcflags}"
export CXX="%{__cxx}"
export CXXFLAGS="%{rpmcxxflags}"
export LD="%{__cxx}"
export LDFLAGS="%{rpmldflags}"

pwd=$(pwd)
export BUILDRC=$pwd/buildrc
export BUILD_ROOT=$pwd/build
# make threads - maybe parse make -j?
export RIBOSOME_THREADS=1
PATH="$PATH:$pwd/build/bin"
python build/bin/build.py \
	-m hxplay_gtk_release \
	-P helix-client-all-defines-free \
	-p green -v -n \
	%{!?debug:-t release} \
	player_installer_archive

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/%{name}/share,%{_pixmapsdir},%{_desktopdir},%{_bindir}}

cp -a player/installer/archive/temp/{codecs,common,lib,plugins} $RPM_BUILD_ROOT%{_libdir}/%{name}
install player/installer/archive/temp/hxplay.bin $RPM_BUILD_ROOT%{_libdir}/%{name}
cp -a player/installer/archive/temp/share/{default,icons,hxplay*,*.css} $RPM_BUILD_ROOT%{_libdir}/%{name}/share
install player/installer/common/hxplay.desktop $RPM_BUILD_ROOT%{_desktopdir}
install player/app/gtk/res/hxplay.png $RPM_BUILD_ROOT%{_pixmapsdir}

# messed
for d in player/installer/archive/temp/share/locale/* ; do
	install -d $RPM_BUILD_ROOT%{_datadir}/locale/$(basename $d)/LC_MESSAGES
	cp $d/*.mo $RPM_BUILD_ROOT%{_datadir}/locale/$(basename $d)/LC_MESSAGES
done

install -d $RPM_BUILD_ROOT%{_browserpluginsdir}
cp -a release/nphelix.* $RPM_BUILD_ROOT%{_browserpluginsdir}

sed -e "s,#[ \t]*HELIX_LIBS[ \t]*=.*,HELIX_LIBS=%{_libdir}/%{name}; export HELIX_LIBS," \
	player/installer/archive/temp/hxplay > $RPM_BUILD_ROOT%{_libdir}/%{name}/hxplay
chmod a+rx $RPM_BUILD_ROOT%{_libdir}/%{name}/hxplay
ln -sf %{_libdir}/%{name}/hxplay $RPM_BUILD_ROOT%{_bindir}/hxplay

%find_lang player
%find_lang widget
cat player.lang widget.lang > %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post -n browser-plugin-%{name}
%update_browser_plugins

%postun -n browser-plugin-%{name}
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/hxplay
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/hxplay
%attr(755,root,root) %{_libdir}/%{name}/hxplay.bin
%attr(755,root,root) %{_libdir}/%{name}/codecs
%attr(755,root,root) %{_libdir}/%{name}/common
%attr(755,root,root) %{_libdir}/%{name}/lib
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.so
%{_libdir}/%{name}/share
%{_desktopdir}/hxplay.desktop
%{_pixmapsdir}/hxplay.png

%files -n browser-plugin-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_browserpluginsdir}/nphelix.so
%{_browserpluginsdir}/nphelix.xpt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: helixplayer.spec,v $
Revision 1.36  2008-01-27 13:14:36  glen
- rel 1

Revision 1.35  2008-01-13 23:47:39  qboosh
- alpha still needs another id for gcc 3+ (tested on ac-alpha)

Revision 1.34  2008-01-13 21:50:57  qboosh
- don't use player_all target as it builds HelixPlayer*.rpm (or at least tries to)

Revision 1.33  2008-01-13 19:51:51  qboosh
- CVE references

Revision 1.32  2008-01-13 19:46:54  qboosh
- added gcc patch
- fix locales installation
- now builds on th-x86_64

Revision 1.31  2008-01-13 18:51:49  qboosh
- readded (partially updated) morearchs patch

Revision 1.30  2008-01-03 22:33:21  glen
- builds and packages on ac

Revision 1.29  2008-01-03 21:28:27  glen
- start update to 1.0.9, troubles building it
[fixes CVE-2006-0323 CVE-2007-3410]

Revision 1.28  2007-12-24 08:41:03  glen
- rel 5 (rebuild as prev one lost)

Revision 1.27  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.25  2007/01/12 10:04:55  qboosh
- pl for browser-plugin-

Revision 1.24  2007/01/10 14:17:59  glen
- rel 4

Revision 1.23  2007/01/10 14:17:51  glen
- browser-plugins v2

Revision 1.22  2006/07/30 19:11:41  glen
- blah, messed it up (RealPlayer.spec/realplayer.spec needs merge)

Revision 1.21  2006/07/30 19:09:29  glen
- one should stay, which one?, see also unreplied thread in pld-devel-en

Revision 1.20  2006/07/29 03:44:02  havner
- TODO

Revision 1.19  2005/12/29 17:25:54  qboosh
- set RIBOSOME_THREADS=1 to avoid reading /proc/cpuinfo
- release 3

Revision 1.18  2005/12/03 20:51:04  qboosh
- release 2

Revision 1.17  2005/12/02 19:21:07  qboosh
- updated to 1.0.6 (fixes CVE-2005-2629)
- updated system-libs patch

Revision 1.16  2005/11/05 06:39:31  qboosh
- release 1

Revision 1.15  2005/11/05 06:28:32  qboosh
- updated morearchs patch: builds on i486+/x86_64,alpha,ppc,sparc now; i386 is not supported

Revision 1.14  2005/11/04 19:23:09  paszczus
- fix for amd64 (lib64) /usr/bin/hxplay -> /usr/lib64/helixplayer/hxplay

Revision 1.13  2005/10/20 09:03:34  qboosh
- fixed system-libs patch, added desktop patch, package .desktop

Revision 1.12  2005/10/17 21:04:20  djurban
- update to 1.0.5, provide helix-core

Revision 1.11  2005/04/03 18:51:39  darekr
- killed dup dirs

Revision 1.10  2005/03/04 20:53:05  qboosh
- updated to 1.0.3, updated system-libs patch; .desktop requires patch...

Revision 1.9  2004/12/22 16:58:28  troll
- updated to 1.0.2

Revision 1.8  2004/11/21 00:36:42  qboosh
- use updated system-libs patch to use system libpng and zlib
  (possibly security fix, as there was vulnerable libpng-1.2.5 included)

Revision 1.7  2004/11/18 07:34:25  qboosh
- added morearchs patch, use optflags
- build "release" version, not "debug"

Revision 1.6  2004/11/18 00:34:38  qboosh
- added system-libs patch to use shared lib{ogg,vorbis,theora}; more to follow

Revision 1.5  2004/11/18 00:26:22  qboosh
- build-time security fix

Revision 1.4  2004/11/12 13:26:20  troll
- changes by Grzegorz Grasza <grozo at pawlacz.com>

Revision 1.3  2004/07/08 20:42:53  havner
- builds, no %files, NFY

Revision 1.2  2004/04/04 11:11:06  qboosh
- pl

Revision 1.1  2004/04/04 02:21:33  arekm
- initial pld release; raw
